Subject: bug#19099: Diff options with vc-git

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Nov 2014 21:57:57 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Nov 2014 14:27:22 -0500
> 
> > and then invoke that alias instead of "diff".
> 
> Git aliases cannot override built-in git commands. (By design, wontfix, etc.)
> So I cannot make "git diff" do what I want.

I said "alias +instead_ of diff", didn't I?

> If you think otherwise, please give me a concrete example of how I can
> configure Emacs to do what I want.

Introduce a defcustom that will allow to all "git SOMETHING" when VC
wants a diff command.